Bug 432971 - Review Request: python-turboflot - A TurboGears widget for Flot, a jQuery plotting library
Summary: Review Request: python-turboflot - A TurboGears widget for Flot, a jQuery plo...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jan ONDREJ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-15 14:56 UTC by Luke Macken
Modified: 2016-09-20 02:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 04:58:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ondrejj: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2008-02-15 14:56:46 UTC
Spec URL: http://hg.lewk.org/TurboFlot/raw-file/59d7c20ba8f2/python-turboflot.spec
SRPM URL: http://pypi.python.org/packages/2.5/T/TurboFlot/python-turboflot-0.0.5-1.fc8.src.rpm
Description: 
A TurboGears widget for Flot, which is a pure Javascript plotting library for jQuery. It produces graphical plots of arbitrary datasets on-the-fly client-side.  The focus is on simple usage (all settings are optional), attractive looks and interactive features like zooming.

Comment 1 Jan ONDREJ 2008-02-16 15:58:31 UTC
rpmlint output:
python-turboflot.noarch: W: incoherent-version-in-changelog 0.0.4-1 0.0.5-1.fc8

I think this package requires TurboGears and simplejson, so add:
  Requires: TurboGears >= 1.0.3, python-simplejson >= ...
or something similar.

Source package do not match upstream and source URL is not complete!

May be there is a missing "." at end of description (just summary can't end with
".").


Comment 2 Jan ONDREJ 2008-02-16 16:02:06 UTC
Package do not build in mock, add for example this:
BuildRequires:  python-setuptools >= 0.6c5

Error output:
+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 2, in <module>
    from setuptools import setup, find_packages
ImportError: No module named setuptools
error: Bad exit status from /var/tmp/rpm-tmp.21399 (%build)


Comment 3 Luke Macken 2008-02-17 17:36:29 UTC
http://hg.lewk.org/TurboFlot/raw-file/836ad97edcc8/python-turboflot.spec
http://pypi.python.org/packages/2.5/T/TurboFlot/python-turboflot-0.0.5-2.fc8.src.rpm

* Sat Feb 16 2008 Luke Macken <lmacken@redhat.com> - 0.0.5-2
- Add TurboGears to BuildRequires and Requires
- Require python-simplejson
- Fix description
- Fix Source0

Comment 4 Jan ONDREJ 2008-02-17 18:39:36 UTC
Source URL still do not match upstream!

- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the  Source URL
Guidelines for how to deal with this.

- It is nicer to use %{version} in Source URL. It is not required, so you can
leave it as is is you wish.

If you fix source, I can approve this package.

Comment 5 Luke Macken 2008-02-17 19:26:40 UTC
http://hg.lewk.org/TurboFlot/raw-file/9fb8a0f1bb73/python-turboflot.spec
http://pypi.python.org/packages/any/T/TurboFlot/python-turboflot-0.0.5-2.fc8.src.rpm

I recreated the rpm with the upstream sources listed in Source0.  I also now use
%{version} in the Source0, and have modified the URL to point to the Python
Package Index, instead of my blog.

Comment 6 Jan ONDREJ 2008-02-17 20:09:05 UTC
Much better. :-)

APPROVED.


Comment 7 Luke Macken 2008-02-18 05:47:17 UTC
Thanks for taking the time out to review, Jan :)

New Package CVS Request
=======================
Package Name: python-turboflot
Short Description: A TurboGears widget for Flot, a jQuery plotting library
Owners: lmacken
Branches: F-8 F-7 EL-5
Cvsextras Commits: Yes

Comment 8 Kevin Fenzi 2008-02-18 17:37:43 UTC
cvs done.

Comment 9 Luke Macken 2008-02-19 04:58:54 UTC
Updates queued for F7/F8.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.